com.corticon.rulesemf.canonicalvocabularymodel

## Interface CustomDataType

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ValidatableObject

      public interface CustomDataType
      extends ValidatableObject

  A representation of the model object 'Custom Data Type'.

  The following features are supported:

  - `Guid`
  - `Data Type Name`
  - `Base Data Type`
  - `Enumeration`
  - `Constraint Expression`
  - `Discovered`
  - `Enumeration Display Count`
  - `Database Lookup Properties`
  - `Enumeration Elements`
  - `EData Type`
  See Also:
    `CanonicalvocabularymodelPackage.getCustomDataType()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `VocabularyDataType` | `getBaseDataType()` Returns the value of the 'Base Data Type' containment reference
    `VocabularyExpression` | `getConstraintExpression()` Returns the value of the 'Constraint Expression' containment reference
    `DatabaseLookupProperties` | `getDatabaseLookupProperties()` Returns the value of the 'Database Lookup Properties' containment reference
    `org.eclipse.emf.common.util.EList` | `getDataTypeName()` Returns the value of the 'Data Type Name' containment reference list.
    `org.eclipse.emf.ecore.EDataType` | `getEDataType()` Returns the value of the 'EData Type' reference
    `VocabularyBoolean` | `getEnumeration()` Returns the value of the 'Enumeration' containment reference
    `int` | `getEnumerationDisplayCount()` Returns the value of the 'Enumeration Display Count' attribute
    `org.eclipse.emf.common.util.EList` | `getEnumerationElements()` Returns the value of the 'Enumeration Elements' containment reference list.
    `java.lang.String` | `getGuid()` Returns the value of the 'Guid' attribute
    `boolean` | `isDiscovered()` Returns the value of the 'Discovered' attribute
    `void` | `setBaseDataType(VocabularyDataType value)` Sets the value of the '`Base Data Type`' containment reference
    `void` | `setConstraintExpression(VocabularyExpression value)` Sets the value of the '`Constraint Expression`' containment reference
    `void` | `setDatabaseLookupProperties(DatabaseLookupProperties value)` Sets the value of the '`Database Lookup Properties`' containment reference
    `void` | `setDiscovered(boolean value)` Sets the value of the '`Discovered`' attribute
    `void` | `setEDataType(org.eclipse.emf.ecore.EDataType value)` Sets the value of the '`EData Type`' reference
    `void` | `setEnumeration(VocabularyBoolean value)` Sets the value of the '`Enumeration`' containment reference
    `void` | `setEnumerationDisplayCount(int value)` Sets the value of the '`Enumeration Display Count`' attribute
    `void` | `setGuid(java.lang.String value)` Sets the value of the '`Guid`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidatableObject

      `getValidationMessages, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasSeverity, hasSeverity, hasWarnings, hasWarnings, isValid, isValid`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getGuid

          java.lang.String getGuid()

      Returns the value of the 'Guid' attribute.

      If the meaning of the 'Guid' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Guid' attribute.
      See Also:
        `setGuid(String)`, `CanonicalvocabularymodelPackage.getCustomDataType_Guid()`

    - #### setGuid

          void setGuid(java.lang.String value)

      Sets the value of the '`Guid`' attribute.
      Parameters:
        `value` - the new value of the 'Guid' attribute.
      See Also:
        `getGuid()`

    - #### getDataTypeName

          org.eclipse.emf.common.util.EList getDataTypeName()

      Returns the value of the 'Data Type Name' containment reference list. The list contents are of type `VocabularyString`.

      If the meaning of the 'Data Type Name' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Data Type Name' containment reference list.
      See Also:
        `CanonicalvocabularymodelPackage.getCustomDataType_DataTypeName()`

    - #### getBaseDataType

          VocabularyDataType getBaseDataType()

      Returns the value of the 'Base Data Type' containment reference.

      If the meaning of the 'Base Data Type' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Base Data Type' containment reference.
      See Also:
        `setBaseDataType(VocabularyDataType)`, `CanonicalvocabularymodelPackage.getCustomDataType_BaseDataType()`

    - #### setBaseDataType

          void setBaseDataType(VocabularyDataType value)

      Sets the value of the '`Base Data Type`' containment reference.
      Parameters:
        `value` - the new value of the 'Base Data Type' containment reference.
      See Also:
        `getBaseDataType()`

    - #### getEnumeration

          VocabularyBoolean getEnumeration()

      Returns the value of the 'Enumeration' containment reference.

      If the meaning of the 'Enumeration' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Enumeration' containment reference.
      See Also:
        `setEnumeration(VocabularyBoolean)`, `CanonicalvocabularymodelPackage.getCustomDataType_Enumeration()`

    - #### setEnumeration

          void setEnumeration(VocabularyBoolean value)

      Sets the value of the '`Enumeration`' containment reference.
      Parameters:
        `value` - the new value of the 'Enumeration' containment reference.
      See Also:
        `getEnumeration()`

    - #### getConstraintExpression

          VocabularyExpression getConstraintExpression()

      Returns the value of the 'Constraint Expression' containment reference.

      If the meaning of the 'Constraint Expression' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Constraint Expression' containment reference.
      See Also:
        `setConstraintExpression(VocabularyExpression)`, `CanonicalvocabularymodelPackage.getCustomDataType_ConstraintExpression()`

    - #### setConstraintExpression

          void setConstraintExpression(VocabularyExpression value)

      Sets the value of the '`Constraint Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Constraint Expression' containment reference.
      See Also:
        `getConstraintExpression()`

    - #### isDiscovered

          boolean isDiscovered()

      Returns the value of the 'Discovered' attribute.

      If the meaning of the 'Discovered' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Discovered' attribute.
      See Also:
        `setDiscovered(boolean)`, `CanonicalvocabularymodelPackage.getCustomDataType_Discovered()`

    - #### setDiscovered

          void setDiscovered(boolean value)

      Sets the value of the '`Discovered`' attribute.
      Parameters:
        `value` - the new value of the 'Discovered' attribute.
      See Also:
        `isDiscovered()`

    - #### getEnumerationDisplayCount

          int getEnumerationDisplayCount()

      Returns the value of the 'Enumeration Display Count' attribute.

      If the meaning of the 'Enumeration Display Count' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Enumeration Display Count' attribute.
      See Also:
        `setEnumerationDisplayCount(int)`, `CanonicalvocabularymodelPackage.getCustomDataType_EnumerationDisplayCount()`

    - #### setEnumerationDisplayCount

          void setEnumerationDisplayCount(int value)

      Sets the value of the '`Enumeration Display Count`' attribute.
      Parameters:
        `value` - the new value of the 'Enumeration Display Count' attribute.
      See Also:
        `getEnumerationDisplayCount()`

    - #### getDatabaseLookupProperties

          DatabaseLookupProperties getDatabaseLookupProperties()

      Returns the value of the 'Database Lookup Properties' containment reference.

      If the meaning of the 'Database Lookup Properties' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Database Lookup Properties' containment reference.
      See Also:
        `setDatabaseLookupProperties(DatabaseLookupProperties)`, `CanonicalvocabularymodelPackage.getCustomDataType_DatabaseLookupProperties()`

    - #### setDatabaseLookupProperties

          void setDatabaseLookupProperties(DatabaseLookupProperties value)

      Sets the value of the '`Database Lookup Properties`' containment reference.
      Parameters:
        `value` - the new value of the 'Database Lookup Properties' containment reference.
      See Also:
        `getDatabaseLookupProperties()`

    - #### getEnumerationElements

          org.eclipse.emf.common.util.EList getEnumerationElements()

      Returns the value of the 'Enumeration Elements' containment reference list. The list contents are of type `EnumerationElement`.

      If the meaning of the 'Enumeration Elements' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Enumeration Elements' containment reference list.
      See Also:
        `CanonicalvocabularymodelPackage.getCustomDataType_EnumerationElements()`

    - #### getEDataType

          org.eclipse.emf.ecore.EDataType getEDataType()

      Returns the value of the 'EData Type' reference.

      If the meaning of the 'EData Type' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'EData Type' reference.
      See Also:
        `setEDataType(EDataType)`, `CanonicalvocabularymodelPackage.getCustomDataType_EDataType()`

    - #### setEDataType

          void setEDataType(org.eclipse.emf.ecore.EDataType value)

      Sets the value of the '`EData Type`' reference.
      Parameters:
        `value` - the new value of the 'EData Type' reference.
      See Also:
        `getEDataType()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.